﻿<div class="navbar">
    <div class="navbar-inner">
        <div class="left sliding">
            <a href="#" class="link icon-only back">
                <i class="ionicons ion-android-arrow-forward"></i>
            </a>
        </div>
        <div class="center sliding"> التقييم والتعليق</div>
        <div class="right sliding">
            <a ng-click="GoToHome()" class="link icon-only">
                <i class="ionicons ion-home"></i>
            </a>
            <a ng-click="GoToNotifications()" class="link icon-only p-0 spanNotifications" ng-hide="IsVisitor">
                <i id="CommentsNotificationsLoaded" class="ionicons ion-android-notifications-none">
                  <span ng-hide="$parent.$parent.notifyClick" ng-if="NewNotificationsNumber>0" class="badge">{{NewNotificationsNumber}}</span>
                </i>
                <img id="CommentsNotificationsNotLoaded" ng-src="img/puff-White.svg" ng-hide="IsVisitor" />
            </a>
            <a ng-click="GoToSearch()" class="link icon-only">
                <i class="ionicons ion-android-search"></i>
            </a>
        </div>
    </div>
</div>

<!-- Floating Action Button -->
<a ng-click="GoToAdvertisement()" class="floating-button" ng-show="isLoaded">
    <i class="ionicons ion-plus"></i>
</a>

<div id="divInfiniteComments" class="page-content infinite-scroll pull-to-refresh-content" ng-show="isLoaded">

    <div class="pull-to-refresh-layer">
        <img ng-src="img/puff.svg" class="preloader" />
        <div class="pull-to-refresh-arrow"></div>
    </div>

    <div class="content" ng-show="!IsVisitor && !isAdvertisementOwner">
        <jk-rating-stars max-rating="5" rating="usertotalRate" class="bigstar" read-only="false" on-rating="rateAdvertisement(rating, advertisement)"></jk-rating-stars>
    </div>

    <div class="content" ng-show="!IsVisitor">
        <div class="list-block">
            <div class="m-auto">
                <form name="$parent.CommentForm" ng-submit="submitCommentForm($parent.CommentForm.$valid,advertisement)" novalidate>
                    <ul>
                        <li>
                            <div class="item-content" ng-class="submittedComment && commentReset && $parent.CommentForm.comment.$invalid?'has-error':'no-error'">
                                <div class="item-inner">
                                    <div class="item-input">
                                        <textarea ng-model="commentForm.comment" name="comment" placeholder="تعليقك" required></textarea>
                                    </div>
                                </div>
                            </div>
                            <p ng-show="submittedComment && commentReset && $parent.CommentForm.comment.$error.required" class="error-block">يجب إدخال التعليق</p>
                        </li>
                    </ul>
                    <button type="submit" class="button button-fill button-rounded centered-100 m-auto noBg" ng-click="submittedComment=true">إضافة تعليق</button>
                </form>
            </div>

        </div>
    </div>

    <div class="content-block" ng-hide="noComments">
        <div class="messages">
            <div class="row">
                <div id="divComment_{{comment.id}}" long-touch="ItemIsLongTouched(comment)" time="800" class="col-100 tablet-50 comment" ng-repeat="comment in comments">
                    <div class="card commentOption">
                        <div class="row">
                            <div class="col-20" ng-click="GoToUserDetails(comment.user)">
                                <img image-loader="{{ comment.user.image | generateURL}}" loader="img/puff.svg" place-holder="img/avatar.jpg" class="lazy" />
                            </div>
                            <div class="col-80">
                                <div class="row">
                                    <div class="col-100" ng-click="GoToUserDetails(comment.user)" >
                                        <h3>{{comment.user.username}}</h3>
                                    </div>
                                    <div class="col-100">
                                        <h5><i class="ion-android-time"></i> {{comment.created_at}}</h5>
                                    </div>
                                    
                                </div>
                                <p>
                                    {{comment.comment}}
                                </p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div id="divNoComments" class="partialNoResult" ng-show="noComments">
        <div class="content-block">
            <img src="img/noData.png" height="128" width="128" />
            <p>لا توجد تعليقات</p>
        </div>
    </div>
    <div id="infiniteLoaderComments" class="infiniteLoader" ng-show="commentsInfiniteLoader">
        <img ng-src="img/puff.svg" />
    </div>
</div>

<!-- popover-more popover -->
<div class="popover popover-more"  ng-model="commentForPopup">
    <div class="popover-angle"></div>
    <div class="popover-inner">
        <div class="list-block">
            <ul>
                <li><a ng-show="commentForPopup.isCommentOwner" ng-click="GoToUpdateComment(commentForPopup,advertisement)" class="list-button item-link close-popover editComment">تعديل تعليق</a></li>
                <li><a ng-show="commentForPopup.isCommentOwner" ng-click="GoToRemoveComment(commentForPopup,advertisement)" class="list-button item-link close-popover">حذف تعليق</a></li>
                <li><a ng-hide="commentForPopup.isCommentOwner" ng-click="GoToReportComment(commentForPopup,advertisement)" class="list-button item-link close-popover reportComment">إبلاغ عن رد</a></li>
            </ul>
        </div>
    </div>
</div>